Send Pulse Dashboard Message
curl --request POST \
--url https://api.duvo.ai/v2/artifacts/{artifactId}/messages \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"from_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.duvo.ai/v2/artifacts/{artifactId}/messages"
payload = {
"message": "<string>",
"from_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', from_revision_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.duvo.ai/v2/artifacts/{artifactId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_message": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"created_at": "<string>",
"author_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": null,
"selected_element": {
"selector": "<string>",
"label": "<string>",
"tag_name": "<string>",
"outer_html": "<string>",
"text": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Duvo Pulse
Send Pulse Dashboard Message
Send an instruction to iterate on a Duvo Pulse dashboard (e.g. ‘make it a bar chart’, ‘filter to last 14 days’). The creator can always iterate; teammates can too when the Pulse is published to the team with edit access. The agent regenerates asynchronously — poll GET /artifacts/ for status.
POST
/
v2
/
artifacts
/
{artifactId}
/
messages
Send Pulse Dashboard Message
Was this page helpful?
⌘I